//+------------------------------------------------------------------+
//|                                                        inBar.mq4 |
//|                                                Copyright  2010. |
//|                                                http://mql4you.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010."
#property link      "http://mql4you.ru"
#property indicator_chart_window
extern int PERIOD1 =PERIOD_H1;
extern int PERIOD2 =PERIOD_H4;
extern int PERIOD3 =PERIOD_D1;
extern color      BoxColor1=Red;
extern color      BoxColor2=Blue;
extern color      BoxColor3=Yellow;
//+------------------------------------------------------------------+
int init() {return(0);}
//+------------------------------------------------------------------+
int deinit()
{for(int i=ObjectsTotal()-1;i>=0;i--)
   {string name=ObjectName(i);
    if(StringFind(name,"inBar")==0) ObjectDelete(name);}
return(0);}
//+------------------------------------------------------------------+
int start(){
  int limit;
  int counted_bars=IndicatorCounted();
  if(counted_bars>0) counted_bars--;
  limit=Bars-counted_bars;
  for(int i=0; i<limit; i++)
     if(iHigh(Symbol(),PERIOD1,i)<iHigh(Symbol(),PERIOD1,i+1) && iLow(Symbol(),PERIOD1,i)>iLow(Symbol(),PERIOD1,i+1)){
        string name1="inBar"+TimeToStr(iTime(Symbol(),PERIOD1,i))+" "+PERIOD1;
        ObjectDelete(name1);
        ObjectCreate(name1,OBJ_RECTANGLE,0,iTime(Symbol(),PERIOD1,i),iHigh(Symbol(),PERIOD1,i+1),iTime(Symbol(),PERIOD1,i+1),iLow(Symbol(),PERIOD1,i+1));
        ObjectSet(name1,OBJPROP_BACK,true);
        ObjectSet(name1,OBJPROP_COLOR,BoxColor1);
        Alert(name1);
        PlaySound("alert.wav");
     }
  for(i=0; i<limit; i++)
     if(iHigh(Symbol(),PERIOD2,i)<iHigh(Symbol(),PERIOD2,i+1) && iLow(Symbol(),PERIOD2,i)>iLow(Symbol(),PERIOD2,i+1)){
        string name2="inBar"+TimeToStr(iTime(Symbol(),PERIOD2,i))+" "+PERIOD2;
        ObjectDelete(name2);
        ObjectCreate(name2,OBJ_RECTANGLE,0,iTime(Symbol(),PERIOD2,i),iHigh(Symbol(),PERIOD2,i+1),iTime(Symbol(),PERIOD2,i+1),iLow(Symbol(),PERIOD2,i+1));
        ObjectSet(name2,OBJPROP_BACK,true);
        ObjectSet(name2,OBJPROP_COLOR,BoxColor2);
        Alert(name2);
        PlaySound("alert.wav");
     }
  for(i=0; i<limit; i++)
     if(iHigh(Symbol(),PERIOD3,i)<iHigh(Symbol(),PERIOD3,i+1) && iLow(Symbol(),PERIOD3,i)>iLow(Symbol(),PERIOD3,i+1)){
        string name3="inBar"+TimeToStr(iTime(Symbol(),PERIOD3,i))+" "+PERIOD3;
        ObjectDelete(name3);
        ObjectCreate(name3,OBJ_RECTANGLE,0,iTime(Symbol(),PERIOD3,i),iHigh(Symbol(),PERIOD3,i+1),iTime(Symbol(),PERIOD3,i+1),iLow(Symbol(),PERIOD3,i+1));
        ObjectSet(name3,OBJPROP_BACK,true);
        ObjectSet(name3,OBJPROP_COLOR,BoxColor3);
        Alert(name3);
        PlaySound("alert.wav");
     }     
  return(0);
}
//+------------------------------------------------------------------+